%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%global modname fedmsg_notify
%global busname org.fedoraproject.fedmsg.notify

Name:           fedmsg-notify
Version:        0.5.8
Release:        5%{?dist}
Summary:        Fedmsg Desktop Notifications

License:        GPLv3+
URL:            https://github.com/fedora-infra/fedmsg-notify
Source0:        https://github.com/fedora-infra/fedmsg-notify/archive/%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-gobject
BuildRequires:  desktop-file-utils

Requires:       fedmsg > 0.5.5
Requires:       python2-fedmsg-meta-fedora-infrastructure
Requires:       python2-fedora
Requires:       python2-psutil
Requires:       python2-gobject
Requires:       python2-abrt
Requires:       python2-fmn

%description
fedmsg-notify provides a dbus-activated daemon that subscribes to realtime
messages from Fedora Infrastructure and displays them as desktop
notifications. It also comes with a fedmsg-notify-config tool to enable/disable
the service.

%prep
%setup -q


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

# DBus configuration
mkdir -p %{buildroot}%{_datadir}/dbus-1/services/
install -m 0644 conf/%{busname}.service \
    %{buildroot}%{_datadir}/dbus-1/services/%{busname}.service
mkdir -p %{buildroot}%{_sysconfdir}/dbus-1/system.d
install -m 0644 conf/%{busname}.conf \
    %{buildroot}%{_sysconfdir}/dbus-1/system.d/%{busname}.conf

# fedmsg-notify-config desktop file
desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications \
    conf/%{name}-config.desktop

# fedmsg-notify-deaemon desktop file
desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications \
    conf/%{name}-daemon.desktop

# GSettings schema
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas
install -m 0644 conf/%{busname}.gschema.xml %{buildroot}%{_datadir}/glib-2.0/schemas


%files
%doc README.md LICENSE
%{_bindir}/%{name}-daemon
%{_bindir}/%{name}-config
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}-py%{pyver}.egg-info/
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/applications/%{name}-config.desktop
%{_datadir}/applications/%{name}-daemon.desktop
%{_sysconfdir}/dbus-1/system.d/%{busname}.conf
%{_datadir}/glib-2.0/schemas/%{busname}.gschema.xml


%changelog
* Thu Mar 01 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.5.8-5
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.8-3
- Remove obsolete scriptlets

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Feb 20 2017 Aurelien Bompard <abompard@fedoraproject.org> - 0.5.8-1
- Version 0.5.8

* Wed Feb 15 2017 Aurelien Bompard <abompard@fedoraproject.org> - 0.5.7-1
- Version 0.5.7

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Dec 14 2016 Aurelien Bompard <abompard@fedoraproject.org> - 0.5.6-1
- Version 0.5.6

* Mon Dec 12 2016 Aurelien Bompard <abompard@fedoraproject.org> - 0.5.5-6
- Add missing dependency on abrt-python.
  https://github.com/fedora-infra/fedmsg-notify/issues/28

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 12 2015 Tim Waugh <twaugh@redhat.com> - 0.5.5-2
- No need to autostart this service as D-Bus activation will do it as
  needed (bug #1200752).

* Wed Dec 17 2014 Luke Macken <lmacken@redhat.com> - 0.5.5-1
- Latest upstream release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 09 2014 Luke Macken <lmacken@redhat.com> - 0.5.4-1
- Update to 0.5.4 upstream release

* Fri Dec 06 2013 Pierre-Yves Chibon <pingou@pingoured>fr - 0.5.3-2
- Change BR from python-setuptools-devel to python-setuptools
  See https://fedoraproject.org/wiki/Changes/Remove_Python-setuptools-devel

* Fri Aug 23 2013 Luke Macken <lmacken@redhat.com> - 0.5.3-1
- Update to 0.5.3 to fix a regression

* Wed Aug 21 2013 Luke Macken <lmacken@redhat.com> - 0.5.2-1
- Update to 0.5.2 bugfix release
- Require python-psutil
- Update the URLs

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 18 2013 Luke Macken <lmacken@redhat.com> - 0.5.1-1
- Update to 0.5.1

* Wed Feb 20 2013 Luke Macken <lmacken@redhat.com> - 0.5.0-1
- Update to 0.5.0

* Fri Jan 25 2013 Luke Macken <lmacken@redhat.com> - 0.4.1-1
- Update to 0.4.1
- Gracefully handle our gsettings schema change (#902069)
- Advanced filtering bug fixes

* Sat Jan 19 2013 Luke Macken <lmacken@redhat.com> - 0.4.0-2
- Require python-fedora for the PackageDB client

* Thu Jan 17 2013 Luke Macken <lmacken@redhat.com> - 0.4.0-1
- Update to 0.4.0

* Tue Dec 04 2012 Luke Macken <lmacken@redhat.com> - 0.3.2-2
- Require python-fedmsg-meta-fedora-infrastructure

* Fri Nov 02 2012 Luke Macken <lmacken@redhat.com> - 0.3.2-1
- 0.3.2 release, fixing various edge cases
- Autostart the daemon upon login

* Tue Oct 30 2012 Luke Macken <lmacken@redhat.com> - 0.3.1-1
- Update our gsettings schema to enable the service once installed.

* Wed Oct 24 2012 Luke Macken <lmacken@redhat.com> - 0.3.0-1
- 0.3.0
- Require fedmsg > 0.5.5 for fedmsg.text.make_processors

* Sat Oct 06 2012 Luke Macken <lmacken@redhat.com> - 0.2.1-1
- 0.2.1 release
- Add the GSettings schema

* Thu Oct 04 2012 Luke Macken <lmacken@redhat.com> - 0.2.0-1
- Initial package.
